Subject: Loop detection in DU-Liberal mode

From: "Philip Matthews" <[email-masked]>
Date: Fri, 02 Feb 2001 11:40:16 -0500

Two questions:

1) Am I correct in saying that Loop Detection doesn't make
   sense in DU Liberal mode? (Here I am assuming Ethernet or
   POS interfaces only; no ATM or FR).

   As I understand it, in DU Liberal mode, a node should expect
   to receive label mappings for a given FEC on all its interfaces.
   The node then uses its routing table to decide which one of these
   labels it will actually use at any given time.

   Ignoring transient conditions, the IGP should ensure that
   no routing loops and thus there are no LDP-LSP loops.

2) Given that node does _not_ support the Loop Detection procedure
   in DU Liberal mode, what should a node do when it receives
   a Label Mapping message with a Hop Count or Path Vector TLV?
   In this case, is the support of these TLVs optional, or must
   a node support these TLVs even though it does not support Loop
   Detection?

- Philip